jQuery( document ).ready( function( $ ) {
	$( 'body' ).on( 'click', '.agc_select', function() {
		var wrap = $( this ).closest( '.agc_select_wrap' );
		if( !wrap.find( '.agc_options' ).hasClass( 'agc_active' ) ) {
			$( '.agc_options' ).removeClass( 'agc_active' );
			wrap.find( '.agc_options' ).addClass( 'agc_active' );
			wrap.find( '.agc_options' ).find( 'li:contains("' + wrap.find( '.agc_select_val' ).html() + '")' ).addClass( 'agc_active' );
		}
		else {
			wrap.find( '.agc_options' ).removeClass( 'agc_active' );
		}
	});
	
	$( 'body' ).on( 'click', '.agc_options ul li', function() {
		var wrap = $( this ).closest( '.agc_select_wrap' );
		wrap.find( '.agc_select_val' ).html( $( this ).html() );
		wrap.find( 'select' ).val( $( this ).attr( 'data-val' ) );
		wrap.find( '.agc_options' ).removeClass( 'agc_active' );
	});
	
	$( 'body' ).on( 'mouseover', '.agc_options ul li', function() {
		if ( $( '.agc_options ul li' ).hasClass( 'agc_active' ) ) {
			$( '.agc_options ul li' ).removeClass( 'agc_active' );
		}
	});
	
	$( document ).click( function(e) {
		if( $( e.target ).attr( 'class' ) != 'agc_select' && !$( '.agc_select' ).find( $( e.target ) ).length ) {
			if( $( '.agc_options.agc_active' ).length ) {
				$( '.agc_options' ).removeClass( 'agc_active' );
			}
		}
	});

	$( 'body' ).on( 'submit', '#agc_verify_form', function(event) {
		event.preventDefault();
		var form = $( this );
		form.find( '.agc_result' ).remove();

		let error = false;
		const validate = (output) => {
			$( '#agc_verify_submit' ).append( '<div class="agc_result"><span class="agc_icon_exclamation_circle"></span> ' + output.replace( "%agc_age%", agc_options.age ) + '</div>' );
			error = true;
		}

		if( agc_options.method == 'checkbox' ) {
			if( !$('[name="agc_check"]')[0].checked ) {
				validate( agc_options.response_checkbox_empty );
			}
		}

		else if ( agc_options.method == 'birthday' ) {
			// monthIndex integer value beginning with 0 for January to 11 for December.
			let date = new Date( $('[name="agc_year"]').val(), $('[name="agc_month"]').val(), $('[name="agc_day"]').val() );
			let min = new Date();

			if( $('[name="agc_provinces"]').length ) {
				min.setFullYear( min.getFullYear() - parseInt( $('[name="agc_provinces"]').val() ) );
			}
			else {
				min.setFullYear( min.getFullYear() - parseInt( agc_options.age ) );
			}

			const leadingZero = (num) => {
				return num < 10 ? '0' + num : num;
			}

			$('.agc_dropdown').removeClass('agc_required');
			if( $('[name="agc_provinces"]').length && $('[name="agc_provinces"]').val() == '' ) {
				$('[name="agc_provinces"]').closest('.agc_dropdown').addClass('agc_required');
				error = true;
			}
			else if( $('[name="agc_day"]').val() == '' || $('[name="agc_month"]').val() == '' || $('[name="agc_year"]').val() == '' ) {
				$('[name="agc_day"]').closest('.agc_dropdown').addClass('agc_required');
				validate( agc_options.response_birthday_empty );
			}
			// Javascript non-existent dates are added into a different date 
			else if( date.getFullYear() != $('[name="agc_year"]').val() || (date.getMonth()) != $('[name="agc_month"]').val() || date.getDate() != $('[name="agc_day"]').val() ) {
				validate( agc_options.response_birthday_date );
			}
			else if( (date.getFullYear() + '-' + leadingZero(date.getMonth() + 1) + '-' + leadingZero(date.getDate())) > (min.getFullYear() + '-' + leadingZero(min.getMonth() + 1) + '-' + leadingZero(min.getDate())) ) {
				validate( agc_options.response_birthday_below );
			}
		}
		
		if( error === false ) {
			if( agc.admin == 0 || agc.preview == 0 ) {
				if( agc_options.cookie_life == 0 ) {
					document.cookie = "agc_verified_" + agc_options.age + "=1;path=/";
				}
				else {
					let expire = new Date();
					expire.setDate( expire.getDate() + parseInt(agc_options.cookie_life) );
					document.cookie = "agc_verified_" + agc_options.age + "=1;expires=" + expire.toUTCString() + ";path=/";
				}
			}
			$( 'html, body' ).removeClass( 'agc_no_scroll' );
		 	$( '.agc_screen' ).remove();
		}
	});
});